# ApplicationFramework
TKCDF
PCDM

# PCDM_SequenceOfReference Class Reference

`#include <PCDM_SequenceOfReference.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PCDM_SequenceOfReference ()
Standard_EXPORT void | Clear ()
| ~PCDM_SequenceOfReference ()
Standard_EXPORT const PCDM_SequenceOfReference & | Assign (const PCDM_SequenceOfReference &Other)
const PCDM_SequenceOfReference & | operator= (const PCDM_SequenceOfReference &Other)
Standard_EXPORT void | Append (const PCDM_Reference &T)
void | Append (PCDM_SequenceOfReference &S)
Standard_EXPORT void | Prepend (const PCDM_Reference &T)
void | Prepend (PCDM_SequenceOfReference &S)
void | InsertBefore (const Standard_Integer Index, const PCDM_Reference &T)
void | InsertBefore (const Standard_Integer Index, PCDM_SequenceOfReference &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const PCDM_Reference &T)
void | InsertAfter (const Standard_Integer Index, PCDM_SequenceOfReference &S)
Standard_EXPORT const PCDM_Reference & | First () const
Standard_EXPORT const PCDM_Reference & | Last () const
void | Split (const Standard_Integer Index, PCDM_SequenceOfReference &Sub)
Standard_EXPORT const PCDM_Reference & | Value (const Standard_Integer Index) const
const PCDM_Reference & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const PCDM_Reference &I)
Standard_EXPORT PCDM_Reference & | ChangeValue (const Standard_Integer Index)
PCDM_Reference & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | PCDM_SequenceOfReference (const PCDM_SequenceOfReference &Other)

## Constructor & Destructor Documentation

PCDM_SequenceOfReference::PCDM_SequenceOfReference | ( |  | ) |

PCDM_SequenceOfReference::~PCDM_SequenceOfReference | ( |  | ) | `[inline]`

Standard_EXPORT PCDM_SequenceOfReference::PCDM_SequenceOfReference | ( | const PCDM_SequenceOfReference & | Other | ) | `[private]`

## Member Function Documentation

void PCDM_SequenceOfReference::Append | ( | PCDM_SequenceOfReference & | S | ) |

Standard_EXPORT void PCDM_SequenceOfReference::Append | ( | const PCDM_Reference & | T | ) |

Standard_EXPORT const PCDM_SequenceOfReference& PCDM_SequenceOfReference::Assign | ( | const PCDM_SequenceOfReference & | Other | ) |

Standard_EXPORT PCDM_Reference& PCDM_SequenceOfReference::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void PCDM_SequenceOfReference::Clear | ( |  | ) |

Standard_EXPORT const PCDM_Reference& PCDM_SequenceOfReference::First | ( |  | ) | const

void PCDM_SequenceOfReference::InsertAfter | ( | const Standard_Integer | Index,
|  | PCDM_SequenceOfReference & | S
| ) |

Standard_EXPORT void PCDM_SequenceOfReference::InsertAfter | ( | const Standard_Integer | Index,
|  | const PCDM_Reference & | T
| ) |

void PCDM_SequenceOfReference::InsertBefore | ( | const Standard_Integer | Index,
|  | PCDM_SequenceOfReference & | S
| ) |

void PCDM_SequenceOfReference::InsertBefore | ( | const Standard_Integer | Index,
|  | const PCDM_Reference & | T
| ) |

Standard_EXPORT const PCDM_Reference& PCDM_SequenceOfReference::Last | ( |  | ) | const

void PCDM_SequenceOfReference::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PCDM_SequenceOfReference::operator new | ( | size_t | size | ) | `[inline]`

void* PCDM_SequenceOfReference::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

PCDM_Reference& PCDM_SequenceOfReference::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const PCDM_Reference& PCDM_SequenceOfReference::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const PCDM_SequenceOfReference& PCDM_SequenceOfReference::operator= | ( | const PCDM_SequenceOfReference & | Other | ) | `[inline]`

void PCDM_SequenceOfReference::Prepend | ( | PCDM_SequenceOfReference & | S | ) |

Standard_EXPORT void PCDM_SequenceOfReference::Prepend | ( | const PCDM_Reference & | T | ) |

Standard_EXPORT void PCDM_SequenceOfReference::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void PCDM_SequenceOfReference::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void PCDM_SequenceOfReference::SetValue | ( | const Standard_Integer | Index,
|  | const PCDM_Reference & | I
| ) |

void PCDM_SequenceOfReference::Split | ( | const Standard_Integer | Index,
|  | PCDM_SequenceOfReference & | Sub
| ) |

Standard_EXPORT const PCDM_Reference& PCDM_SequenceOfReference::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- PCDM_SequenceOfReference.hxx